Mumbai, India -NL- PRARBDH -NL- **`+91-800-383-0669 `[PHONES_PHONE]**-NL- **`prarbdhranjan@gmail.com`[EMAILS_EMAIL]** -NL- RANJAN -NL- prarbdh-ranjan -NL- **`OBJECTIVE`[SUMMARY_HEADING]** -NL- **`Data Engineer`[EMPLOYER_ROLE]** with 1.5+ years’ experience in Big Data Analytics and designing & development of data -NL- solutions on large datasets with focus on solving complex business problems & tackling architectural and -NL- scalability problems. My objective is to apply my knowledge and skills in these fields to design, build and -NL- deploy applications to solve real-world problems empirically. -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Data Engineer`[EMPLOYER_ROLE]** | **`CelebalTech`[EMPLOYER_COMPANY_NAME]** -NL- MAY,2018 – CURRENT -NL- On-site Data Engineering consultant for media conglomerate. Designed scalable & fault-tolerant terabyte -NL- scale data pipelines for BI reporting for different business verticals – Product, Marketing, Sales, Research. -NL- Data Modelling and Master Data Management for revenue data coming from multiple sources. -NL- Performance tuning of existing ETL loads. Developed solutions for complex business use cases delivering -NL- deep insights in timely manner. Tools used were Databricks, HDInsight, Spark, Hive, SQL Data Warehouse, -NL- Azure Data Factory and Power BI. -NL- Developed a Movie Greenlighting and P&L Planning tool for movie industry. Goal was to create a high -NL- performance and scalable solution providing capabilities such as complex currency translations, revenue -NL- rollup models and lifetime gross predictor. Tools used were Azure Databricks and Power BI. -NL- Developed a data modernization solution for a Malaysia-based electronic equipment -NL- manufacturer. Goal was to recreate their legacy application that transforms highly dynamic & unstructured -NL- data present in propriety format to columnar format for fast processing and ad-hoc analysis on millions of -NL- test points with widget-enabled filtering and visualization capability built on top. Tools used were Azure -NL- Databricks and Spark. -NL- Created reporting APIs for dashboards retrieving data from Elasticsearch using Java API for a Belgium-based -NL- digital engagement startup while working in a pair programming environment. Tools used were EE Java, -NL- Elasticsearch and Docker. -NL- **`Associate Data Engineer`[EMPLOYER_ROLE]** | **`CelebalTech`[EMPLOYER_COMPANY_NAME]** -NL- JAN,2018 – APRIL,2018 -NL- Created interactive learning tutorials and DIY Labs for different topics of Apache Spark stack – Dataframes, -NL- SparkSQL, Structured Streaming, MLlib and Delta.io -NL- Created a POC to do behavioral analytics on user data for a media conglomerate in Spark. -NL- Created a POC to do point of sales data analysis for an auto parts manufacturer in Spark. -NL- Worked on scenarios for real-time data ingestion and predictions using Spark Streaming & MLlib. -NL- **`Project Trainee`[EMPLOYER_ROLE]** | **`TechMahindra`[EMPLOYER_COMPANY_NAME]** -NL- JUNE,2017 – JULY,2017 -NL- Worked on Smart Parking project under the IoT Team. -NL- Performed comparative analysis of various IoT platforms and sensors. -NL- Created RESTful APIs to write data from sensors to database and to read data from database. -NL- PAGE 1 OF 2 | **`PRARBDH RANJAN`[NAME]** -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`B.Tech`[EDUCATION_DEGREE]** in **`Computer Science & Engineering`[EDUCATION_COURSE]** | **`Manipal University Jaipur`[EDUCATION_INSTITUTE]** -NL- 2014 – 2018 -NL- GPA 7.2 -NL- Relevant Courses: Big Data Analytics, Artificial Intelligence, Cloud Computing, Object Oriented -NL- Programming, Data Structures, Design and Analysis of Algorithms -NL- Project: Designed a data wrangling and processing scenario for processing large amounts of media data in a -NL- multi-node cluster using Apache Spark. -NL- Project: Developed an ETL Tool that moves data among different cloud platforms (AWS, Azure, GCP) that -NL- also encrypts data using AES-128 symmetric key encryption. -NL- Class **`12th`[EDUCATION_DEGREE]** | **`Summer Valley School, Dehradun`[EDUCATION_INSTITUTE]** -NL- 2013 – 2014 -NL- 95% in ISC Examination -NL- Class **`10th`[EDUCATION_DEGREE]** | **`Summer Valley School, Dehradun`[EDUCATION_INSTITUTE]** -NL- 2011 – 2012 -NL- 96% in ICSE Examination -NL- All India Topper in Computer Applications -NL- **`SKILLS`[SKILLS_HEADING]** -NL- • Programming Languages: Scala, Java, Python -NL- • Cloud Platforms: Azure, AWS -NL- • Frameworks: Databricks Unified Analytics Platform, Spark, Hadoop, Elasticsearch -NL- • Database: SQL Server, MySQL, Azure SQL Data Warehouse -NL- • Visualization Tool: Microsoft Power BI -NL- • Operating Systems: Windows, Linux based Operating Systems like Ubuntu & Fedora -NL- • Web-based Technologies: HTML, CSS with Bootstrap, D3 Visualizations -NL- • Experienced with usage of IDEs like IntelliJ, Eclipse, Xampp/Wamp Server, Visual Studio -NL- • Knowledge of Lex and Yacc -NL- ACTIVITIES -NL- • Certification: Dell EMC Certified Associate in Cloud Infrastructure and Services. -NL- • Organizing Committee- Guest Lectures, Workshops & Exhibitions at Techideate’16: Lead a team of 6 -NL- people organizing technical workshops and inviting experts to deliver talks and showcase exhibits. -NL- • Quizzing: Winner of various technical and general quizzes at national and state-level. -NL- • Model United Nations: Participated in various MUNs as delegate as well as press. -NL- • Languages: English, Hindi, Elementary proficiency in German. -NL- • Other Interests: Quizzing, Creative writing, Trekking. -NL- PAGE 2 OF 2 | **`PRARBDH RANJAN`[NAME]** -NL- 